<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
?>

<div class="foot">
<?php
echo 'UNB2 Demo Application';
echo ' &nbsp;–&nbsp; UNB Components version: ' . UNB::Version;
echo ' &nbsp;–&nbsp; Current server time: ' . date('Y-m-d H:i:s') . '<br />';

$dbStat = UnbDatabase::GetInstance()->GetStatistics();
echo 'Database driver: ' . UnbConfiguration::Get('database.driver');
echo ' &nbsp;–&nbsp; Database statistics: ' . $dbStat['queryCount'] . ' queries took ' . round($dbStat['totalTime'] * 1000, 1) . ' ms';
echo ' &nbsp;–&nbsp; Script load time: ' . round(($startExecTime - $startLoadTime) * 1000, 1) . ' ms';
echo ' &nbsp;–&nbsp; Script execution time: ' . round((microtime(true) - $startExecTime) * 1000, 1) . ' ms';
if (function_exists('memory_get_peak_usage'))
	echo ' &nbsp;–&nbsp; Peak memory usage: ' . round(memory_get_peak_usage() / 1024) . ' kB';
?>
</div>

<script>
setTimeout(function() { new Animation({o: ".overlay-messages", type: "opacity", end: 0, method: "sexp", param: 2, play: true}); }, 10000);
</script>

</body>
</html>
<?php
#if (ob_get_level())
#	ob_end_flush();
?>