<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
require('_head.inc.php');

if ($m = UnbSession::GetVar('SuccessMessage', true))
{
	UnbUi::ReportSuccess($m);
}
?>

<p>
<a href="xmlform.php">XML server demo form</a>
</p>

<?php
echo '<p>';
echo '<em>Something about you...</em><br />';
echo 'User-Agent: ' . htmlspecialchars($_SERVER['HTTP_USER_AGENT']) . '<br />';
echo 'Address: ' . UnbEnvironment::GetClientAddress() . '<br />';
echo 'Came from same domain: ' . (UnbEnvironment::IsRefererMyDomain() ? 'yes' : 'no') . '<br />';
echo 'Languages: ' . join(', ', UnbEnvironment::GetClientLanguages()) . '<br />';
echo 'Platform: ' . UnbEnvironment::GetClientPlatform() . '<br />';
echo 'Version: ' . UnbEnvironment::GetClientVersion() . '<br />';
echo 'Is IE: ' . (UnbEnvironment::IsClientPlatform('ie') ? 'yes' : 'no') . '<br />';
echo 'Is Firefox: ' . (UnbEnvironment::IsClientPlatform('gecko/ff') ? 'yes' : 'no') . '<br />';
echo 'Is WebKit: ' . (UnbEnvironment::IsClientPlatform('webkit') ? 'yes' : 'no') . '<br />';
echo 'Is Windows: ' . (UnbEnvironment::IsClientPlatform('@win') ? 'yes' : 'no') . '<br />';
echo 'Is Mac OS: ' . (UnbEnvironment::IsClientPlatform('@mac') ? 'yes' : 'no') . '<br />';
echo 'Is browser: ' . (UnbEnvironment::IsBrowser() ? 'yes' : 'no') . '<br />';
echo 'Is mobile: ' . (UnbEnvironment::IsMobile() ? 'yes' : 'no') . '<br />';
echo 'XML support: ' . (UnbEnvironment::IsXML() ? 'yes' : 'no') . '<br />';
echo 'Search terms: ' . join('; ', UnbEnvironment::GetSearchTerms()) . '<br />';
echo '</p>';

require('_foot.inc.php');
?>