<?php
// UNB Components
// Copyright since 2007 by Yves Goergen
// Website: http://unclassified.de/go/unb2
// Licence: GNU General Public License (GPL) Version 3
//
// This is the static configuration file that contains configuration settings
// that need to be available before the database connection is available.
// It is not written to by the application. Any settings defined in this file
// will override settings stored in the database. So whatever is specified
// here can only be changed here.

#$settings['database.driver'] = 'mysql';
#$settings['database.hostname'] = 'localhost';
#$settings['database.dbname'] = 'unb2test';
#$settings['database.username'] = 'root';
#$settings['database.password'] = '****';

#$settings['database.driver'] = 'pgsql';
#$settings['database.hostname'] = 'localhost';
#$settings['database.dbname'] = 'unb2test';
#$settings['database.username'] = 'postgres';
#$settings['database.password'] = '****';
#$settings['database.schema'] = 'unb2test';

$settings['database.driver'] = 'sqlite';
$settings['database.filename'] = 'unb2test.db';
$settings['database.synchronous'] = 'OFF';
$settings['database.log.filename'] = '../unb2log.db';

#$settings['database.persistent'] = true;
$settings['database.table-prefix'] = '';

$settings['moderation.approve-from-trusted'] = true;
$settings['path.file-uploads'] = dirname(__FILE__) . '/upload/';
#$settings['attachment.storage.database-max-size'] = 10240;   // 10 kB
$settings['attachment.storage.database-max-size'] = -1;   // Don't save files to SQLite

$settings['captcha.enabled'] = true;
$settings['encryption.key'] = 'vtgtrH&%h5H%$OI/(j46KI%&jk864k/g';   // max. 32 bytes used
$settings['log.keep-days'] = 90;

?>